Andrew's git
/
gitweb.git
/ diff
summary
|
log
|
commit
| diff |
tree
commit
grep
author
committer
pickaxe
?
re
git-resolve-script: stop when the automated merge fails
author
Linus Torvalds
<torvalds@ppc970.osdl.org>
Tue, 7 Jun 2005 02:37:25 +0000
(19:37 -0700)
committer
Linus Torvalds
<torvalds@ppc970.osdl.org>
Tue, 7 Jun 2005 02:37:25 +0000
(19:37 -0700)
No point in doing a tree write that will just throw
confusing messages on the screen.
git-resolve-script
patch
|
blob
|
history
raw
|
patch
| inline |
side by side
(from parent 1:
ed37b5b
)
diff --git
a/git-resolve-script
b/git-resolve-script
index 74fb2875b5d7b9e5802ef7b21111584031c7c59b..cd6e25a8a2bfca43f4b4b01cfda4378203b2b09c 100644
(file)
--- a/
git-resolve-script
+++ b/
git-resolve-script
@@
-47,7
+47,11
@@
merge_msg="Merge of $merge_repo"
result_tree=$(git-write-tree 2> /dev/null)
if [ $? -ne 0 ]; then
echo "Simple merge failed, trying Automatic merge"
- git-merge-cache git-merge-one-file-script -a
+ git-merge-cache -o git-merge-one-file-script -a
+ if [ $? -ne 0 ]; then
+ echo "Automatic merge failed, fix up by hand"
+ exit 1
+ fi
merge_msg="Automatic merge of $merge_repo"
result_tree=$(git-write-tree) || exit 1
fi